package com.alibaba.druid.sql.dialect.postgresql.ast.stmt;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.ast.statement.SQLCreateIndexStatement;
import com.alibaba.druid.sql.ast.statement.SQLUpdateSetItem;
import com.alibaba.druid.sql.dialect.greenplum.visitor.GPASTVisitor;
import com.alibaba.druid.sql.dialect.postgresql.ast.PGSQLIndexSpec;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class PGCreateIndexStatement extends SQLCreateIndexStatement {
   private ArrayList<PGSQLIndexSpec> specList = new ArrayList();
   private List<SQLUpdateSetItem> withList = new ArrayList();

   public PGCreateIndexStatement(DbType dbType) {
      super(dbType);
   }

   public ArrayList<PGSQLIndexSpec> getSpecList() {
      return this.specList;
   }

   public void setSpecList(ArrayList<PGSQLIndexSpec> specList) {
      this.specList = specList;
   }

   public List<SQLUpdateSetItem> getWithList() {
      return this.withList;
   }

   public void setWithList(List<SQLUpdateSetItem> withList) {
      this.withList = withList;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((GPASTVisitor)visitor);
   }

   public void accept0(GPASTVisitor visitor) {
      visitor.visit((SQLCreateIndexStatement)this);
   }
}
